Resolve Suspense Item
curl --request POST \
--url https://johnajayi-avenue.hf.space/v1/suspense/:suspense_id/resolve \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"action": "<string>",
"target_wallet_id": "<string>",
"note": "<string>"
}
'import requests
url = "https://johnajayi-avenue.hf.space/v1/suspense/:suspense_id/resolve"
payload = {
"action": "<string>",
"target_wallet_id": "<string>",
"note": "<string>"
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({action: '<string>', target_wallet_id: '<string>', note: '<string>'})
};
fetch('https://johnajayi-avenue.hf.space/v1/suspense/:suspense_id/resolve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"message": "Suspense item resolved.",
"action": "CREDIT_WALLET"
}
}
Suspense
Resolve Suspense Item
Manually resolve an anomalous payment by routing it to a wallet.
POST
/
v1
/
suspense
/
:suspense_id
/
resolve
Resolve Suspense Item
Request Headers
string
required
Your live or test API key.
Path Parameters
string
required
The suspense item ID.
Request Body
string
required
CREDIT_WALLET, DISMISS, or REFUND.string
The wallet to credit (required if action is
CREDIT_WALLET).string
Manual resolution note.
Response
All amounts and balances in this endpoint are represented in kobo (e.g.,
500000 = ₦5,000.00). Ensure you do not send or expect Naira values.{
"success": true,
"data": {
"message": "Suspense item resolved.",
"action": "CREDIT_WALLET"
}
}
Was this page helpful?